## imcode.server.document
Class DocumentComparator

    java.lang.Object
      com.imcode.util.ChainableReversibleNullComparator
          imcode.server.document.DocumentComparator

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator

    public abstract class DocumentComparator

extends com.imcode.util.ChainableReversibleNullComparator

See Also:
  Serialized Form

Field Summary
`static DocumentComparator` `ARCHIVED_DATETIME`
`static DocumentComparator` `HEADLINE`
`static DocumentComparator` `ID`
`static DocumentComparator` `MODIFIED_DATETIME`
`static DocumentComparator` `PUBLICATION_END_DATETIME`
`static DocumentComparator` `PUBLICATION_START_DATETIME`

Constructor Summary
`protected` `DocumentComparator(java.lang.String name)`

Method Summary
`int` `compare(java.lang.Object o1, java.lang.Object o2)`
`protected abstract int` `compareDocuments(DocumentDomainObject d1, DocumentDomainObject d2)`
`java.lang.String` `toString()`

Methods inherited from class com.imcode.util.ChainableReversibleNullComparator
`chain, nullsFirst, nullsLast, reversed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### ID

    public static final DocumentComparator ID

### HEADLINE

    public static final DocumentComparator HEADLINE

### MODIFIED_DATETIME

    public static final DocumentComparator MODIFIED_DATETIME

### ARCHIVED_DATETIME

    public static final DocumentComparator ARCHIVED_DATETIME

### PUBLICATION_START_DATETIME

    public static final DocumentComparator PUBLICATION_START_DATETIME

### PUBLICATION_END_DATETIME

    public static final DocumentComparator PUBLICATION_END_DATETIME

Constructor Detail

### DocumentComparator

    protected DocumentComparator(java.lang.String name)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

### compareDocuments

    protected abstract int compareDocuments(DocumentDomainObject d1,
                                            DocumentDomainObject d2)